Email Revision Executive Vulnerability Report

posthttps://app.fossa.com/api/revisions/{locator}/report/executive-vulnerability/email

Queues the Executive Vulnerability Report for a given revision, and emails the user a download link when it is ready

Path parameters

locatorstringrequired

Request body · application/json

shouldIncludeFullListboolean

Whether to include the full vulnerability list (default is true)

Responses

202The report is being generated, and will be emailed to the user as a download link
object
400BadRequest
uuidstring

Unique identifier associated with the error

codeinteger

fossa specific error code

messagestring

message associated with this error

namestring

name of the error

httpStatusCodeinteger

http status code number

403Forbidden. Returned when the organization does not have Security enabled.
uuidstring

Unique identifier associated with the error

codeinteger

fossa specific error code

messagestring

message associated with this error

namestring

name of the error

httpStatusCodeinteger

http status code number

404NotFound. Returned when the `execVulnReport` feature flag is off, or the user cannot access the revision.
uuidstring

Unique identifier associated with the error

codeinteger

fossa specific error code

messagestring

message associated with this error

namestring

name of the error

httpStatusCodeinteger

http status code number

Try this endpoint

Build a request and run it against app.fossa.com.

Bearer

Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.

POST https://app.fossa.com/api/revisions/%7Blocator%7D/report/executive-vulnerability/email
curl --request POST \  --url 'https://app.fossa.com/api/revisions/%7Blocator%7D/report/executive-vulnerability/email' \  --header 'accept: application/json' \  --header 'authorization: Bearer YOUR_API_TOKEN' \  --header 'content-type: application/json' \  --data '{  "shouldIncludeFullList": true}'

Real request. Mutating methods can change data.

Click Try It to run a request and see the response here.
Enter a Bearer token before running this request.

Path params

locatorstringrequired
application/json